= nng_dialer_id(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_dialer_id - return numeric dialer identifier

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

int nng_dialer_id(nng_dialer d);
----

== DESCRIPTION

The `nng_dialer_id()` function returns a positive identifier for the dialer _d_,
if it is valid.
Otherwise it returns `-1`.

NOTE: A dialer is considered valid if it was ever created with the
xref:nng_dialer_create.3.adoc[`nng_dialer_create()`] or
xref:nng_dial.3.adoc[`nng_dial()`] functions.
Dialers that are allocated on the stack or statically should be
initialized with the macro
xref:nng_ctx.5.adoc#NNG_DIALER_INITIALIZER[`NNG_DIALER_INITIALIZER`] to ensure that
they cannot be confused with a valid dialer before they are created properly.

== RETURN VALUES

This function returns the positive value for the dialer identifier, or
`-1` if the dialer is invalid.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_dialer.5.adoc[nng_dialer(5)],
xref:nng.7.adoc[nng(7)]
